#!/usr/bin/env python
#
# Data Quality Checker also known as DQC
#
# Read the README.md for more detailed information
#
# Barcerlona Supercomputing Center - Centro Nacional de Supercomputacion
#        Earth Sciences Department - Computational Earth Sciences
#     
#     Authors: Ivan Jose Cernicharo Ortiz (ivan.cernicharo@bsc.es)
#             -
#             -
#

import sys
import os
from dqc_wrapper.utils.commons import list_files_folder

# check leadtimes or frequency of the variable
# This will be checked using CDO

class TemporalConsistencyTest:

    def __init__(self, args):
        self.type = args.type
        self.path = args.input
        self.files = list_files_folder(self.path)

    def check(self,args):
        print('WILL BE READY SOON')

    def main(self):
        if self.type != None:

            listfiles = []

            if self.type == 'netcdf':
                listfiles = [item for item in self.files if item.endswith('.nc')]

            if self.type == 'grib':
                listfiles = [item for item in self.files if item.endswith('.grib')]

            if listfiles != []:
                self.check(listfiles)
            else:
                raise Exception('No GRIB files in the given input')

        else:
            sys.exit()

if __name__ == "__main__":
    sys.exit()