import os, logging

def list_files_folder(files_folder):
    list_files = []
    if os.path.exists(files_folder) and os.path.isdir(files_folder):
        for root, dirs, files in os.walk(files_folder):
            for f in files:
                if f.endswith("grib") or f.endswith("nc"):
                    list_files.append(os.path.join(root, f))

        return sorted(list_files)
    else:
        raise Exception('\n\tGiven path is not a valid path\n')


def initiate_logging(time_for_title, type, log_name):
    # Initiate the logging
    time0 = time_for_title
    path_logs = os.path.join(
        '/data',
        'DQC_LOGS'
    )

    if not os.path.exists(path_logs):
        try:
            os.makedirs(path_logs)
        except Exception:
            # Workaround for local tests
            path_logs = "/tmp/DQC_LOGS/"
            if not os.path.exists(path_logs):
                os.makedirs(path_logs)

    default_log_name = '_'.join(
        [
            log_name,
            (type).upper(),
            time0,
            '.log'
        ]
    )

    default_path = os.path.join(
        path_logs,
        default_log_name
    )

    logging.basicConfig(
        filename=default_path,
        format='%(levelname)s:%(asctime)s:%(message)s',
        level=logging.INFO
    )